# Decorator to add some special features to a User
# TODO: This is a strong relationship to DeviseAuthentication and will to stop work if we use anything different!! (se)
DeviseAuthentication::User.class_eval do
    # Add jwt supprt to the user model
    if Rails.env != "test"
        devise :jwt_authenticatable, jwt_revocation_strategy: Devise::JWT::RevocationStrategies::Null # TODO: Devise::JWT::RevocationStrategies::Blacklist
    end

    # Add current organisation
    def jwt_payload
        init_current_membership
        { 'membership_id' => @current_membership.id }
    end

    # Required by devise-jwt in order to find the correct user
    def self.primary_key
        "id"
    end

    # Called by devise-swt in order to find the user..
    def self.find_by(params)
        self.find(params["id"])
    end

end
